Subject: Re: Bug report lesstif-0.87.9
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Erik de Castro Lopo" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 22 Feb 1999 20:57:11 -0500

>Hi all,
>
>I've read the BUG-REPORTING file and I'm still not exactly sure
>how to submit a bug report for this problem.
>
>I've compiled nedit-5.0.2 against lesstif-0.87.9 and I get the
>following messages printed to stdout:
>
>>    Name: fileMenu
>>    Class: XmCascadeButton
>>    MenuUtil.c(565) - Traversal down in MENU_BAR not written yet!
>>
>>    Name: fileMenu
>>    Class: XmCascadeButton
>>    MenuUtil.c(594) - Traversal up in this situation not written yet!
>>    w = menuBar pw = fileMenu
>
>Knowing bugger all about X (a little about Win32) I think its got

Are you refering to LessTif-0.87.9 for Cygwin-B20 precompiled library?  I
assume so based upon your Win32 statement.  Am I correct?

I have noticed this problem with Nedit 5.0.02, on Windows NT with LessTif
0.87.9 but not on my Red Hat Linux machine.  It turns out to be more or less
X-Server dependent at least in my case.  If I use Netmanage Unixlink98 or
Sun Network Client 3.2 these error messages do not appear on my NT machine.
I see them only if I use Hummingbird Xceed Server.  I am not sure if it a
bug in LessTif 0.87.9 or a X-Server problem on NT.

Suhaib

>something to do with the menu bar not giving up focus after being
>accessed.
>
>To recreate to problem (with nedit anyway) :
>
>  1) Run nedit.
>  2) Type some text.
>  3) Save the text to some filename.
>  4) Edit the text.
>  5) Using the menu do "File->Save"
>  6) Use the up or down arrow key.
>
>Step six causes the warnings listed above instead of moving the cursor
>up and down in the text widnow.
>
>Hope this helps,
>Erik
>
>PS: If you need more info email me as I'm not a recipient of this mailing
list.
>--
>+-------------------------------------------------+
>     Erik de Castro Lopo     [email-masked]
>+-------------------------------------------------+
>The Earth is around 70% water. Fish rule the seas.
>Humans are over 90% water. It's only a matter of time.
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]